curl -X POST https://api.galadriel.com/v1/leases/lse_xyz123/resell \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"limit_price": 1.20,
"available_from": "2025-11-12T14:00:00Z",
"transfer_immediately": false
}'
import requests
response = requests.post(
"https://api.galadriel.com/v1/leases/lse_xyz123/resell",
headers={
"Authorization": "Bearer YOUR_API_TOKEN",
"Content-Type": "application/json"
},
json={
"limit_price": 1.20,
"available_from": "2025-11-12T14:00:00Z",
"transfer_immediately": False
}
)
result = response.json()
print(f"Resell order: {result['order_id']}")
print(f"Potential recovery: ${result['potential_recovery']}")
print(f"After 10% fee: ${result['net_recovery']}")
const response = await fetch(
'https://api.galadriel.com/v1/leases/lse_xyz123/resell',
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
limit_price: 1.20,
available_from: '2025-11-12T14:00:00Z',
transfer_immediately: false
})
}
);
const result = await response.json();
console.log(`Resell order: ${result.order_id}`);
console.log(`Potential recovery: $${result.potential_recovery}`);
console.log(`After 10% fee: $${result.net_recovery}`);
{
"order_id": "ord_resell123",
"lease_id": "lse_xyz123",
"limit_price": 1.20,
"status": "pending",
"available_from": "2025-11-12T14:00:00Z",
"available_until": "2025-11-14T14:00:00Z",
"remaining_hours": 48,
"potential_recovery": 921.60,
"platform_fee": 92.16,
"net_recovery": 829.44,
"created_at": "2025-11-11T14:00:00Z"
}
{
"order_id": "ord_resell123",
"lease_id": "lse_xyz123",
"limit_price": 1.20,
"status": "filled",
"matched_at": "2025-11-11T14:00:01Z",
"buyer_order_id": "ord_buyer789",
"remaining_hours": 48,
"sale_amount": 921.60,
"platform_fee": 92.16,
"net_recovery": 829.44,
"original_refund": 998.40,
"total_recovery": 1827.84,
"transfer_time": "2025-11-12T14:00:00Z"
}
Leases
Resell Lease
Create a resell order for unused GPU time
POST
/
v1
/
leases
/
{lease_id}
/
resell
curl -X POST https://api.galadriel.com/v1/leases/lse_xyz123/resell \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"limit_price": 1.20,
"available_from": "2025-11-12T14:00:00Z",
"transfer_immediately": false
}'
import requests
response = requests.post(
"https://api.galadriel.com/v1/leases/lse_xyz123/resell",
headers={
"Authorization": "Bearer YOUR_API_TOKEN",
"Content-Type": "application/json"
},
json={
"limit_price": 1.20,
"available_from": "2025-11-12T14:00:00Z",
"transfer_immediately": False
}
)
result = response.json()
print(f"Resell order: {result['order_id']}")
print(f"Potential recovery: ${result['potential_recovery']}")
print(f"After 10% fee: ${result['net_recovery']}")
const response = await fetch(
'https://api.galadriel.com/v1/leases/lse_xyz123/resell',
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
limit_price: 1.20,
available_from: '2025-11-12T14:00:00Z',
transfer_immediately: false
})
}
);
const result = await response.json();
console.log(`Resell order: ${result.order_id}`);
console.log(`Potential recovery: $${result.potential_recovery}`);
console.log(`After 10% fee: $${result.net_recovery}`);
{
"order_id": "ord_resell123",
"lease_id": "lse_xyz123",
"limit_price": 1.20,
"status": "pending",
"available_from": "2025-11-12T14:00:00Z",
"available_until": "2025-11-14T14:00:00Z",
"remaining_hours": 48,
"potential_recovery": 921.60,
"platform_fee": 92.16,
"net_recovery": 829.44,
"created_at": "2025-11-11T14:00:00Z"
}
{
"order_id": "ord_resell123",
"lease_id": "lse_xyz123",
"limit_price": 1.20,
"status": "filled",
"matched_at": "2025-11-11T14:00:01Z",
"buyer_order_id": "ord_buyer789",
"remaining_hours": 48,
"sale_amount": 921.60,
"platform_fee": 92.16,
"net_recovery": 829.44,
"original_refund": 998.40,
"total_recovery": 1827.84,
"transfer_time": "2025-11-12T14:00:00Z"
}
Path Parameters
string
required
The lease ID to resell
Request Body
number
required
Price per GPU/hour for resale
string
When the lease becomes available for transfer (ISO 8601 format). Default: now
string
When the resell order expires (ISO 8601 format). Default: lease end time
boolean
default:"false"
Transfer immediately when matched (terminates your access right away)
Response
string
The resell order ID
number
Estimated recovery amount before platform fee
number
Estimated recovery amount after 10% platform fee
curl -X POST https://api.galadriel.com/v1/leases/lse_xyz123/resell \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"limit_price": 1.20,
"available_from": "2025-11-12T14:00:00Z",
"transfer_immediately": false
}'
import requests
response = requests.post(
"https://api.galadriel.com/v1/leases/lse_xyz123/resell",
headers={
"Authorization": "Bearer YOUR_API_TOKEN",
"Content-Type": "application/json"
},
json={
"limit_price": 1.20,
"available_from": "2025-11-12T14:00:00Z",
"transfer_immediately": False
}
)
result = response.json()
print(f"Resell order: {result['order_id']}")
print(f"Potential recovery: ${result['potential_recovery']}")
print(f"After 10% fee: ${result['net_recovery']}")
const response = await fetch(
'https://api.galadriel.com/v1/leases/lse_xyz123/resell',
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
limit_price: 1.20,
available_from: '2025-11-12T14:00:00Z',
transfer_immediately: false
})
}
);
const result = await response.json();
console.log(`Resell order: ${result.order_id}`);
console.log(`Potential recovery: $${result.potential_recovery}`);
console.log(`After 10% fee: $${result.net_recovery}`);
{
"order_id": "ord_resell123",
"lease_id": "lse_xyz123",
"limit_price": 1.20,
"status": "pending",
"available_from": "2025-11-12T14:00:00Z",
"available_until": "2025-11-14T14:00:00Z",
"remaining_hours": 48,
"potential_recovery": 921.60,
"platform_fee": 92.16,
"net_recovery": 829.44,
"created_at": "2025-11-11T14:00:00Z"
}
{
"order_id": "ord_resell123",
"lease_id": "lse_xyz123",
"limit_price": 1.20,
"status": "filled",
"matched_at": "2025-11-11T14:00:01Z",
"buyer_order_id": "ord_buyer789",
"remaining_hours": 48,
"sale_amount": 921.60,
"platform_fee": 92.16,
"net_recovery": 829.44,
"original_refund": 998.40,
"total_recovery": 1827.84,
"transfer_time": "2025-11-12T14:00:00Z"
}
Notes
You receive both the original refund from Galadriel AND the net proceeds from the resale (minus 10% platform fee).
Once a resell order is matched, the transfer cannot be cancelled. Make sure you’re ready to give up access at the specified time.